Loading...
Searching...
No Matches
Lerp.h File Reference

Defines methods for converting a lerp intrinsic into Halide IR. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Expr | Halide::Internal::lower_lerp (Type final_type, Expr zero_val, Expr one_val, const Expr &weight, const Target &target)
| Build Halide IR that computes a lerp.

## Detailed Description

Defines methods for converting a lerp intrinsic into Halide IR.

Definition in file Lerp.h.